Package org.apache.sysds.runtime.io.hdf5

## Class H5BufferBuilder

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.H5BufferBuilder

-     public class H5BufferBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `H5BufferBuilder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ByteBuffer` | `build()` |
    `static BitSet` | `convert​(long value)` |
    `Double` | `getNewVal​(double d)` |
    `int` | `getSize()` |
    `void` | `goToPositionWithWriteZero​(long pos)` |
    `ByteBuffer` | `noOrderBuild()` |
    `void` | `write​(long v, int sizeOfLength)` |
    `void` | `writeBitSet​(BitSet bitSet, int length)` |
    `void` | `writeByte​(int i)` |
    `void` | `writeBytes​(byte[] bytes)` |
    `void` | `writeDouble​(double l)` |
    `void` | `writeInt​(int i)` |
    `void` | `writeLong​(long l)` |
    `void` | `writeShort​(short i)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H5BufferBuilder

          public H5BufferBuilder()

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### writeByte

          public void writeByte​(int i)

    - #### writeBytes

          public void writeBytes​(byte[] bytes)

    - #### writeInt

          public void writeInt​(int i)

    - #### writeShort

          public void writeShort​(short i)

    - #### writeLong

          public void writeLong​(long l)

    - #### getNewVal

          public Double getNewVal​(double d)

    - #### convert

          public static BitSet convert​(long value)

    - #### writeDouble

          public void writeDouble​(double l)

    - #### write

          public void write​(long v,
                            int sizeOfLength)

    - #### build

          public ByteBuffer build()

    - #### noOrderBuild

          public ByteBuffer noOrderBuild()

    - #### writeBitSet

          public void writeBitSet​(BitSet bitSet,
                                  int length)

    - #### goToPositionWithWriteZero

          public void goToPositionWithWriteZero​(long pos)